package com.unis.base.server.service;

import java.util.List;
import java.util.Map;

import com.unis.base.common.vo.TyLskcxxQueryVO;
import com.unis.base.common.vo.TyLskcxxVO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyLskcxxService
 * @ProjectName TyLskcxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyLskcxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyLskcxxVO> getTyLskcxxList(TyLskcxxQueryVO tyLskcxxQueryVO);

	public TyLskcxxVO selectLastestByEntity(TyLskcxxQueryVO tyLskcxxQueryVO);

	public ResponseWrapper selectById(TyLskcxxVO tyLskcxxVO);

	/**
	 * 分页展示
	 * @param TyLskcxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyLskcxxVO> getTyLskcxxPage(TyLskcxxQueryVO tyLskcxxQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyLskcxxVO
	 * @return
	 */
	int insert(TyLskcxxVO tyLskcxxVO);

	/**
	 * 更新信息
	 * @param TyLskcxxVO
	 * @return
	 */
	int update(TyLskcxxVO tyLskcxxVO);

	/**
	 * 更新信息
	 * @param tyLskcxxVO
	 * @return
	 */
	int updateByEntitySelective(TyLskcxxVO tyLskcxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyLskcxxVO
	 * @return
	 */
	int delete(String kcxxid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyLskcxxVO getLskcxxByLskcxxid(String kcxxid);

}
